# WOKDeliv_ParseDelivery.h File Reference

`#include <string.h>`

## Functions

int | DELIVERYlex ()
int | DELIVERYerror ()
int | Traite_PutPath ()
int | Traite_PutInclude ()
int | Traite_PutLib ()
int | Traite_GetUnit (char *s)
int | Traite_GetType (char *s)
int | Traite_GetFile (char *s)
int | Traite_Name (char *s)
int | Traite_Requires (char *s)
int | Traite_Ifdef (char *s)
int | Traite_Endif ()
int | ClasseElt_DeliverFormatAll (int tokunit, char *s)
int | ClasseElt_DeliverFormatBase (int tokunit, char *s)
int | ClasseElt_DeliverFormat (int tokattr)
int | ClasseElt_EndDeliverFormat ()

## Variables

int | TheToken
int | DELIVERYlineno
char * | TheText
int | TheType
int | TheAttrib

## Function Documentation

int ClasseElt_DeliverFormat | ( | int | tokattr | ) |

int ClasseElt_DeliverFormatAll | ( | int | tokunit,
|  | char * | s
| ) |

int ClasseElt_DeliverFormatBase | ( | int | tokunit,
|  | char * | s
| ) |

int ClasseElt_EndDeliverFormat | ( |  | ) |

int DELIVERYerror | ( |  | ) |

int DELIVERYlex | ( |  | ) |

int Traite_Endif | ( |  | ) |

int Traite_GetFile | ( | char * | s | ) |

int Traite_GetType | ( | char * | s | ) |

int Traite_GetUnit | ( | char * | s | ) |

int Traite_Ifdef | ( | char * | s | ) |

int Traite_Name | ( | char * | s | ) |

int Traite_PutInclude | ( |  | ) |

int Traite_PutLib | ( |  | ) |

int Traite_PutPath | ( |  | ) |

int Traite_Requires | ( | char * | s | ) |

## Variable Documentation

int DELIVERYlineno

int TheAttrib

char* TheText

int TheToken

int TheType